:root {
    --primary-color: #0d5364;
    --primary-color--light: #558692;
    --secondary-color: #a2d5d0;

    --color-base: #313030;

    --white: #ffffff;
    --green: #b0d10e;
    --green-dark: #407f46;
    --gray: #858e93;
    --gray-light: #e5e5ea;
    --gray-lighter: #f5f5f5;
    --gray-dark: #605e5e;

    --header-background-color: #FFE4C8;
    --header-text-color: #FFFFFF;
    --header-border-color: #F89D2A;
}

#city h1,
#city h2,
#city h3,
#city h4 {
    font-family: 'Montserrat', sans-serif;
    color: var(--primary-color);
}
#city h2 {
    font-size: 24px;
    font-weight: 700;
}
#city h3 {
    font-size: 16px;
    font-weight: 600;
}
#city .readMore {
    color: var(--gray) !important;
    font-family: Roboto;
    font-weight: normal;
    font-size: 1rem;
    padding: 0 !important;
    line-height: 1.5rem !important;
    cursor: pointer;
    &:hover,
    &:active,
    &:focus {
        background-color: transparent!important;
        text-decoration: underline;
    }
}
#city strong {
    color: var(--primary-color);
}
#city ul {
    list-style: unset;
    margin-left: 1.5rem;
}

#city button.button {
    padding: 0.65rem 1rem;
    line-height: 1rem;
}
#city .button {
    text-wrap: auto;
    height: fit-content;
    padding: 0.5rem 1rem;
    &.is-primary {
        background-color: var(--primary-color);
        color: var(--header-text-color);
        &:hover,
        &:active,
        &:focus {
            background-color: color-mix(in srgb, var(--primary-color), transparent 10%);
        }
    }
    &.is-secondary {
        background-color: color-mix(in srgb, var(--secondary-color), transparent 70%);
        color: var(--primary-color);
        &:hover,
        &:active,
        &:focus {
            background-color: color-mix(in srgb, var(--secondary-color), transparent 60%);
        }
    }
}
.citySettings__fieldset {
    border: 2px solid var(--secondary-color);
    margin: 0 0.75rem 1rem;
    width: 100%;
    padding: 0.75rem;
    border-radius: 8px;
    background-color: color-mix(in srgb, var(--secondary-color) 10%, white);
}
.citySettings__fieldset__legend {
    padding: 0 8px;
    font-size: 0.9rem;
    color: var(--primary-color);
}

.city__header {
    border: 2px solid var(--header-border-color);
    border-radius: 24px;
    overflow: hidden;
    background: var(--header-background-color);
    display: flex;
    justify-content: space-between;
    gap: 10px;
    margin-top: 3rem;
    position: relative;
}

.city__header__details {
    padding: 1rem 2rem;
    align-items: baseline;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: var(--primary-color);
    &>p,
    &>span,
    &>a,
    &>h1 {
        color: var(--primary-color);
    }
}
.city__header__details .city__name {
    font-size: 2rem;
    font-weight: bold;
}
.city__header__details .city__country {
    font-size: 1.2rem;
    font-weight: bold;
}
.city__roles {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}
.city__roles > span {
    display: inline-block;
    position: relative;
    &:not(:first-child)::before {
        content: '|';
        position: absolute;
        left: -1rem;
    }
}
.city__link {
    text-decoration: underline;
}

#city .cover-bg {
    min-height: 320px;
    max-height: 320px;
}
#city .cover-bg img {
    clip-path: url(#coverClipShape);
    object-fit: cover;
    width: 100%;
    height: 100%;
    max-width: 720px;
    margin-right: -5px;
}

.missioncity__label {
    position: absolute;
    bottom: 2px;
    right: 10px;
    max-width: 100px;
}
.missioncity__label img {
    background: #ffffff;
    border-radius: 50%;
}

.city__content__item__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 1rem;
    gap: 0.75rem;
}


/* Content Section */

.city__overview {
    display: grid;
    grid-template-columns: repeat(auto-fit, calc((100% / 3) - 1rem));
    gap: 1rem;
    justify-content: center;
}
.city__overview__item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0.5rem;
    @media screen and (min-width: 768px) {
        padding: 1rem;
    }
    font-family: 'Montserrat', sans-serif;
    color: var(--primary-color);
    &:not(:first-child)::after {
        content: '';
        height: 100%;
        width: 1px;
        position: absolute;
        top: 0;
        background-color: var(--secondary-color);
        left: -0.5rem;
    }
    &>i[class^='fa-'] {
        font-size: 2rem;
        @media screen and (min-width: 768px) {
            font-size: 3rem;
        }
        margin-bottom: 0.5rem;
        color: var(--green-dark);
    }
}
.city__overview__item__title {
    text-transform: uppercase;
    font-size: 0.75rem;
    @media screen and (min-width: 768px) {
        font-size: 0.85rem;
    }
    text-align: center;
}
.city__overview__item__value {
    font-weight: 700;
    font-size: 1.3rem;
    @media screen and (min-width: 768px) {
        font-size: 2.25rem;
    }
    line-height: 2.25rem;
    text-align: center;
}

.city__description {
    color: var(--primary-color);
}
.city__description .city__description__wrapper {
    word-wrap: break-word;
    word-break: break-word;
}
.city__description.is-reduced .city__description__wrapper {
    max-height: 4lh;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
}

.city__content__more {
    text-align: right;
    margin: 1rem 0.75rem 0;
    font-size: 0.9rem;
}
.city__content__more a,
.city__content__more button.is-text {
    color: var(--primary-color--light);
    text-decoration: underline;
    font-size: 0.9rem;
    font-weight: 400;
    font-family: Roboto, -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", "Helvetica Neue", Arial, sans-serif;
    &:hover,
    &:active,
    &:focus {
        background-color: transparent;
    }
}
.city__learnings {
    position: relative;
}
.city__learnings__wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 1rem;
}
.city__learnings__item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border: 1px solid var(--primary-color--light);
    border-radius: 6px;
    padding: 0.75rem;
    font-size: 0.9rem;
    color: var(--primary-color);
    transition: transform 220ms cubic-bezier(.2,.9,.3,1), box-shadow 220ms;
}
.city__learnings__item:hover {
    color: var(--primary-color);
    transform: scale(1.02);
}
.city__learnings__item__img {
    height: auto;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    aspect-ratio: 227 / 119;
    visibility: visible;
    border-radius: 4px;
    position: relative;
}
.city__learnings__item__img::after {
    content: '';
    width: 100%;
    position: absolute;
    height: 100%;
    opacity: 0.7;
    border-radius: 4px;
}
.city__learnings__item__img {
    &.asset-article::after {
        background-image: linear-gradient(to right, #3a6cb9, #3666b1, #3261a9, #2e5ba1, #2a5699);
    }
    &.asset-document::after {
        background-image: linear-gradient(to right, #fe747e, #fe6c77, #fe656f, #fe5d68, #fd5460);
    }
    &.asset-factsheet::after {
        background-image: linear-gradient(to right, #1a854b, #1b7f49, #1d7947, #1e7445, #1f6e43);
    }
    &.asset-video::after {
        background-image: linear-gradient(to right, #20c3fd, #1abdf9, #13b8f4, #0ab2f0, #01adeb);
    }
    &.asset-casestudy::after {
        background-image: linear-gradient(to right, #9f3be5, #9837dc, #9133d3, #8a2fca, #832bc1);
    }
    &.asset-ccc::after {
        background-image: linear-gradient(to right, #d83a7a, #cf3573, #c5306c, #bc2b65, #b2265e);
    }
    &.asset-method::after {
        background-image: linear-gradient(to right, #0f6c83, #0f667b, #0e5f73, #0e596c, #0d5364);
    }
    &.asset-canvas::after {
        background-image: linear-gradient(to right, #ff9d42, #f8943d, #f08b38, #e98233, #e2792e);
    }
    &.asset-link::after {
        background-color: lightgray;
    }
}

.city__learnings__item h4 {
    font-weight: 600;
    margin-top: 0.75rem;
}
.city__learnings__item__content {
    margin: 1rem 0 0.75rem;
    line-height: 1.2rem;
    max-height: 6lh;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 6;
}
.city__learnings__item__footer {
    text-align: right;
    margin-bottom: -0.5rem;
    padding: 0.25rem 0;
}


.city__updates #resultat {
    margin-bottom: 1rem;
}



.city__spotlight__kicker {
    font-family: 'Montserrat', sans-serif;
    font-size: 1.3rem;
    font-style: italic;
    color: var(--primary-color);
}
.city__spotlight__item__img {
    position: relative;
    height: auto;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    aspect-ratio: 770 / 300;
    visibility: visible;
    border-radius: 12px;
    margin: 1rem 0 2rem;
}
.city__spotlight__item__img .button {
    position: absolute;
    top: 10px;
    right: 10px;
}








/* Content Section */

.city__content__left {
    padding-right: 2rem;
}
.city__content__item {
    &:not(:first-child):not(:last-child) {
        border-bottom: 1px solid var(--secondary-color);
    }
    &:not(:first-child) {
        padding: 1rem 0;
    }
}
.city__content__right {
    border-left: 1px solid var(--secondary-color);
    padding-left: 1rem;
}
.city__content__right>div {
    &:not(:first-child) {
        padding: 1rem 0;
        border-bottom: 1px solid var(--secondary-color);
    }
    &>h3 {
        margin-bottom: 1rem;
    }
    & .aside-subtitle {
        font-size: 0.85rem;
        margin-top: -1rem;
        display: block;
        color: var(--gray-dark);
    }
}
.city__projects__link a {
    color: var(--primary-color);
    text-decoration: underline;
}

.city__mainActions .button {
    margin-top: 0.5rem;
}

.city__member {
    border: 0;
    display: block;
}
.city__member .card-content {
    padding: 0;
}
.city__member .media {
    align-items: center;
}
.city__member .media-content {
    color: var(--primary-color);
}
.city__member figure.image  {
    width: 36px;
    height: 36px;
}
.city__member__name {
    font-size: 0.9rem;
    line-height: 0.9rem;
}
.city__member__role {
    font-size: 0.8rem;
}

.city__projects__link {
    padding: 0.25rem 0;
}  

.city__newsNZC__item {
    background-color: color-mix(in srgb, var(--primary-color), transparent 90%);
    padding: 0.75rem;
    border-radius: 6px;
    &:not(:first-child) {
        margin-top: 0.75rem;
    }
}
.city__newsNZC__item img {
    border-radius: 4px;
}
.city__newsNZC__item__title {
    margin-top: 0.75rem;
    color: var(--primary-color);
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 0.8rem;
}











/*  MEMBER CARD */

.friend-card.textFilter-target{
    min-height: 260px;
    height: 100%;
}
.friend-card.textFilter-target .img-container{
    float: none;
    margin: 0px;
}
.friend-card.textFilter-target .friend-info{
    min-height: 56px;
}
.friend-card.textFilter-target .profile-header-card  .infoMember{
    text-align: left;
    width: 70%;
}
.friend-card.textFilter-target .profile-header-card  .iconMember{
    text-align: right;
    width: 30%;
}

.friend-card.textFilter-target .profile-header-card .dropdown-menu{
    left: -125px;
}

.friend-card.textFilter-target .profile-header-card .dropdown-content {
    text-align: left;
    padding-left: 0.5rem;
}
.friend-card.textFilter-target .profile-header-card{
    margin-bottom: 10px;
}
.friend-card.is-transparent{
    opacity: 0.5;
}
.footer-user-bloc{
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%);
}
.bubbleInfoUser{
    width: 10px;
    height: 10px;
}
.profile-popover-block .profile-popover-wrapper .popover-cover {
    margin-bottom: -12px;

}
.blocMember .profile-header-card{
    padding: 10px;
    background-color: #fafafa;
}


    /* ADMIN BUTTONS */

.city__coverActions {
    position: absolute;
    top: 10px;
    right: 10px;
}

.city__adminNav {
    display: flex;
    gap: 0.5rem;
    justify-content: flex-end;
    margin-top: 1rem;
}
#requests-number {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    padding-left: 1px;
    margin-left: 10px;
    background: var(--primary-color--light);
    color: var(--white);
}

#city-settings .select2-container {
    width: 100%!important;
}
#city-settings .select2-container--default .select2-selection--multiple {
    border-color: #dbdbdb;
    &:hover,
    &:active,
    &:focus {
        border-color: #b5b5b5;
    }
}
#city span.select2-selection.select2-selection--multiple:not(:has(>ul>li)) {
    padding-top: 5px;
    padding-bottom: 5px;
}
.addResourcesButton__wrapper {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    margin-top: -0.5rem;
    padding: 0 0.75rem;
}
.city__submit {
    width: 100%;
}
#cke_cityDescription {
    border-radius: 4px;
    border: 1px solid #dbdbdb !important;
}
#resourcesInputs {
    margin-top: -0.5rem;
}